<?php
require 'koneksi2.php';

// buat koneksi ke database mysql
koneksi_buka();

// proses menghapus data mahasiswa
if(isset($_POST['hapus'])) {
	mysql_query("DELETE FROM tbl_user WHERE id_user=".$_POST['hapus']);
} else {
	// deklarasikan variabel
	$id_user	= $_POST['id'];
	$nama_depan	= $_POST['nama_depan'];
	$nama_belakang	= $_POST['nama_belakang'];
	$email	= $_POST['email'];
	$password	= $_POST['password'];
	$status = $_POST['status'];
	
	// validasi agar tidak ada data yang kosong
	if($nim!="" && $nama!="" && $alamat!="") {
		// proses tambah data mahasiswa
		if($kd_mhs == 0) {
			mysql_query("INSERT INTO mahasiswa VALUES('','$nim','$nama','$alamat','$kelas','$status')");
		// proses ubah data mahasiswa
		} else {
			mysql_query("UPDATE mahasiswa SET 
			nim = '$nim',
			nama = '$nama',
			alamat = '$alamat',
			kelas = '$kelas',
			status = '$status'
			WHERE kd_mhs = $kd_mhs
			");
		}
	}
}

// tutup koneksi ke database mysql
koneksi_tutup();

?>
